Groovy Documentation

## org.codehaus.groovy.classgen.asm
[Java] Class UnaryExpressionHelper

    java.lang.Object
      org.codehaus.groovy.classgen.asm.UnaryExpressionHelper

    public class UnaryExpressionHelper
    extends java.lang.Object

A helper class used to generate bytecode for unary expressions. AST transformations willing to use a custom unary expression helper may set the WriterControllerFactory node metadata on a class node to provide a custom WriterController which would in turn use a custom expression helper.

Authors:
  Cedric Champeau

See Also:
  BinaryExpressionHelper

Constructor Summary
`UnaryExpressionHelper(WriterController controller)`

Method Summary
`void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
`void` | `writeNotExpression(NotExpression expression)`
`void` | `writeUnaryMinus(UnaryMinusExpression expression)`
`void` | `writeUnaryPlus(UnaryPlusExpression expression)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### UnaryExpressionHelper

    public UnaryExpressionHelper(WriterController controller)

Method Detail

### writeBitwiseNegate

    public void writeBitwiseNegate(BitwiseNegationExpression expression)

### writeNotExpression

    public void writeNotExpression(NotExpression expression)

### writeUnaryMinus

    public void writeUnaryMinus(UnaryMinusExpression expression)

### writeUnaryPlus

    public void writeUnaryPlus(UnaryPlusExpression expression)

Groovy Documentation